=== debian/changelog ===
autofs5 (5.0.6-0ubuntu5.1) precise-proposed; urgency=low

  * Add patch to fix nsswitch parser to accept nsswitch.conf without an
    automout stanza as valid file. (Closes: #602090) (LP: #488696)

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Wed, 12 Sep 2012 20:28:06 +0100

autofs5 (5.0.6-0ubuntu5) precise; urgency=low

  * d/autofs5.autofs.upstart: Drop wait-for-state from configuration as 
    waiting for NIS to start is already handled in the NIS package by 
    the start-ypbind upstart configuration which supports autofs 
    (LP: #958704). 

 -- James Page <james.page@ubuntu.com>  Thu, 22 Mar 2012 11:02:03 +0000

autofs5 (5.0.6-0ubuntu4) precise; urgency=low

  * d/autofs5.autofs.upstart: Wait for NIS if it is installed. Also
    use the more generic runlevel event to start (LP: #573919)
  * d/control: Depend on upstart >= 0.9.7-2 since we rely on wait-for-state.

 -- Clint Byrum <clint@ubuntu.com>  Fri, 09 Mar 2012 16:47:40 -0800

autofs5 (5.0.6-0ubuntu3) precise; urgency=low

  * debian/rules:
    - Don't strip symbols during the build; let dh_strip turn them into dbgsym
      packages instead. Thanks, Adam Stokes! (LP: #924002)

 -- Christopher James Halse Rogers <christopher.halse.rogers@canonical.com>  Fri, 17 Feb 2012 11:59:50 +1100

autofs5 (5.0.6-0ubuntu2) oneiric; urgency=low

  * debian/patches/non-ipv6-hostname-lookups.patch: Resolve regression of not 
    being able to lookup non IPv6 hostnames, patch courtesy of upstream. 
    (LP: #810397)
  * debian/control: 
    - Removed dpatch from build-dep as package is now using
      quilt to handle patches.
    - Bumped standards to 3.9.2, no changes required.
  * debian/rules: Added targets build-arch & build-indep to satisfy lintian.

 -- Dave Walker (Daviey) <DaveWalker@ubuntu.com>  Thu, 14 Jul 2011 12:38:56 +0100

autofs5 (5.0.6-0ubuntu1) oneiric; urgency=low

  * New upstream release:
    - Dropped upstream patches 
    - Refreshed debian/patches/17ld.patch.

 -- Chuck Short <zulcss@ubuntu.com>  Sun, 03 Jul 2011 14:35:46 -0400

autofs5 (5.0.5-0ubuntu7) oneiric; urgency=low

  * Refresh upstream patches.
  * Convert to dpkg-source 3.0 quilt format.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 27 May 2011 09:21:06 -0400

autofs5 (5.0.5-0ubuntu6) natty; urgency=low

  * Remove mounting TYPE=nfs from start conditions, change to
    start on filesystem and started networking to still solve
    bug 733914 as well. (LP: #752730)
  * Re-add sourcing of /etc/default/autofs to get OPTIONS so
    upgrades won't lose their settings.

 -- Clint Byrum <clint@ubuntu.com>  Sat, 09 Apr 2011 22:48:03 -0700

autofs5 (5.0.5-0ubuntu5) natty; urgency=low

  * Improve autofs.conf upstart script. Prevent race
    when trying to start networking. (LP: #733914)
  * debian/autofs5-ldap.install: Install schema in the right place.
    (LP: #699855)
  * Suggest smbfs if you want to use cifs. (LP: #579857)
  * Dropped 13ldap_module_linkage.dpatch no longer needed.
  * Refresh with missing upstream patches. 

 -- Chuck Short <zulcss@ubuntu.com>  Sat, 02 Apr 2011 22:25:34 -0400

autofs5 (5.0.5-0ubuntu4) natty; urgency=low

  * Add missing space to autofs.conf which was stopping autofs job
    from ending at shutdown (LP:#718664).

 -- James Hunt <james.hunt@ubuntu.com>  Mon, 14 Feb 2011 11:01:18 +0000

autofs5 (5.0.5-0ubuntu3) natty; urgency=low

  * Fix FTBFS with ld --no-add-needed.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 07 Jan 2011 15:40:32 +0100

autofs5 (5.0.5-0ubuntu2) maverick; urgency=low

  [Joel Ebel]
  * debian/patches/16group_buffer_size.patch: Increase group buffer size 
    geometrically rather than linearly when its found to be small.
    (LP: #591100)

  [Chuck Short]
  * debian/control: Fix conflict resolution. (LP: #520601)

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 30 Jun 2010 08:06:45 -0400

autofs5 (5.0.5-0ubuntu1) maverick; urgency=low

  * New upstream version:
    - Dropped 10lsb_initscript.dpatch since we dont ship an init script. 
    - Fast forward through the upstream patches until 2010/06/21.
    - Clean up lintian warnings.
    - Bump to standards version 3.8.4.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 21 Jun 2010 11:02:50 -0400

autofs5 (5.0.4-3.1ubuntu5) lucid; urgency=low

  FFE LP: #533029

  * Replace init script with Upstart job:
    - debian/rules, debian/autofs5.autofs.upstart: Add upstart job.  

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 12 Apr 2010 08:56:32 -0400

autofs5 (5.0.4-3.1ubuntu4) lucid; urgency=low

  * debian/control: Update maintainer. 

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 09 Feb 2010 09:39:56 -0500

autofs5 (5.0.4-3.1ubuntu3) lucid; urgency=low

  * debian/control: correctly define transitional packages for autofs,
    autofs-ldap and autofs-hesiod (LP: #519119)

 -- Andrew Pollock <apollock@debian.org>  Mon, 08 Feb 2010 22:38:34 -0800

autofs5 (5.0.4-3.1ubuntu2) lucid; urgency=low

  * debian/control: Provide a transitional package for upgrade from 
    autofs4 to autofs5. 

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 04 Feb 2010 14:32:00 -0500

autofs5 (5.0.4-3.1ubuntu1) lucid; urgency=low

  * Merge from debian testing.  Remaining changes:
    - Removed experimental tag.
    - Dropped Ubuntu fix for permissions of /etc/autofs_ldap_auth.conf in 
      favor of Debian's.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 29 Jan 2010 06:13:19 +0000

autofs5 (5.0.4-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * add dh_fixperms -Xdebian/autofs5-ldap/etc/autofs_ldap_auth.conf to fix perms
    (Closes: #557865)

 -- Patrick Winnertz <winnie@debian.org>  Sat, 23 Jan 2010 14:54:16 +0100

autofs5 (5.0.4-3ubuntu2) lucid; urgency=low

  * debian/rules: Fix permissions of /etc/autofs_ldap_auth.conf. (LP: #368715) 

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 07 Jan 2010 15:45:55 -0500

autofs5 (5.0.4-3ubuntu1) lucid; urgency=low

  * debian/control: Removed experimental tag 

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 14 Dec 2009 14:39:24 -0500

autofs5 (5.0.4-3) unstable; urgency=low


