=== debian/control ===
Source: autofs5
Section: utils
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Orginal-Maintainer: Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>
Standards-Version: 3.9.2
Build-Depends: debhelper (>= 7), autoconf, flex, bison, libhesiod-dev, libldap-dev, libsasl2-dev, libssl-dev, libkrb5-dev, libxml2-dev
Homepage: http://www.kernel.org/pub/linux/daemons/autofs/v5/

Package: autofs5
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ucf, upstart (>= 0.9.7-2)
Recommends: nfs-common, module-init-tools
Suggests: smbfs
Description: kernel-based automounter for Linux, version 5
 Autofs controls the operation of the automount daemons. The
 automount daemons automatically mount filesystems when they
 are used and unmount them after a period of inactivity. This
 is done based on a set of pre-configured maps.
 .
 The kernel automounter implements an almost complete SunOS
 style automounter under Linux. A recent version of the kernel
 autofs4 module (builtin or separate) is required.

Package: autofs5-ldap
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, autofs5
Description: LDAP map support for autofs, version 5
 Autofs controls the operation of the automount daemons. The
 automount daemons automatically mount filesystems when they
 are used and unmount them after a period of inactivity. This
 is done based on a set of pre-configured maps.
 .
 The kernel automounter implements an almost complete SunOS
 style automounter under Linux. A recent version of the kernel
 autofs4 module (builtin or separate) is required.
 .
 This is the LDAP module of the autofs experimental branch.

Package: autofs5-hesiod
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, autofs5
Description: Hesiod map support for autofs, version 5
 Autofs controls the operation of the automount daemons. The
 automount daemons automatically mount filesystems when they
 are used and unmount them after a period of inactivity. This
 is done based on a set of pre-configured maps.
 .
 The kernel automounter implements an almost complete SunOS
 style automounter under Linux. A recent version of the kernel
 autofs4 module (builtin or separate) is required.
 .
 This is the Hesiod module of the autofs experimental branch.

Package: autofs
Architecture: any
Depends: ${misc:Depends}, autofs5
Conflicts: autofs ( << 4.1.4+debian-2.1ubuntu2 )
Description: dummy transitional package from autofs to autofs5
 This transitional package helps users to transition from the autofs package to
 the autofs5 package. Once this package and its dependencies are installed you
 can safely remove it.

Package: autofs-ldap
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, autofs5-ldap
Conflicts: autofs-ldap ( << 4.1.4+debian-2.1ubuntu2 )
Description: dummy transitional package from autofs-ldap to autofs5-ldap
 This transitional package helps users to transition from the autofs-ldap
 package to the autofs5-ldap package. Once this package and its dependencies
 are installed you can safely remove it.

Package: autofs-hesiod
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, autofs5-hesiod
Conflicts: autofs-hesiod ( << 4.1.4+debian-2.1ubuntu2 )
Description: dummy transitional package from autofs-hesiod to autofs5-hesiod
 This transitional package helps users to transition from the autofs-ldap
 package to the autofs5-ldap package. Once this package and its dependencies
 are installed you can safely remove it.
