=== debian/rules ===
#!/usr/bin/make -f

.PHONY: clean build install binary binary-indep binary-arch

clean:
	dh_testdir
	dh_testroot
	rm -f build.stamp install.stamp
	$(MAKE) clean
	rm -f Makefile.conf config.log config.status include/config.h
	dh_clean

build: build.stamp
build.stamp:
	dh_testdir
	./configure --prefix=/usr \
                    --with-confdir=/etc/default --mandir=/usr/share/man \
                    --with-mapdir=/etc --with-hesiod --with-openldap --with-sasl \
                    --enable-forced-shutdown --enable-ignore-busy
	chmod 0751 debian/configure_override
	debian/configure_override HAVE_MODPROBE
	debian/configure_override PATH_MODPROBE \"/sbin/modprobe\"
	debian/configure_override HAVE_LINUX_PROCFS
	$(MAKE) DONTSTRIP=1
	touch build.stamp

install: install.stamp
install.stamp: build
	dh_testdir
	dh_testroot
	dh_clean
	$(MAKE) DESTDIR=../debian/autofs5 install
	dh_installdirs
	mv debian/autofs5/etc/auto.* debian/autofs5/usr/share/autofs5/conffiles/
	mv debian/autofs5/etc/default/autofs debian/autofs5/usr/share/autofs5/conffiles/default.autofs5
	mv debian/autofs5/usr/lib/autofs/lookup_ldap* debian/autofs5-ldap/usr/lib/autofs/
	mv debian/autofs5/usr/lib/autofs/*_hesiod* debian/autofs5-hesiod/usr/lib/autofs/
	mv debian/autofs5/etc/autofs_ldap_auth.conf debian/autofs5-ldap/etc/
	rm -rf debian/autofs5/var

binary: binary-arch binary-indep
binary-arch: install
	dh_testdir
	dh_testroot
	dh_install
	dh_installchangelogs CHANGELOG
	dh_installdocs
	dh_installinit -pautofs5 --name=autofs -- start 19 2 3 4 5 . stop 81 0 1 6 .
	dh_strip
	dh_compress
	dh_fixperms -Xdebian/autofs5-ldap/etc/autofs_ldap_auth.conf
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-indep:

build-arch:

build-indep:
